changeset 1151:02c26e6630d0

misc (launch script): added a "status" command
author Goffi <goffi@goffi.org>
date Wed, 03 Sep 2014 11:46:09 +0200
parents beaf8d4475e4
children c8c7755de5d8
files src/sat.sh
diffstat 1 files changed, 20 insertions(+), 0 deletions(-) [+]
line wrap: on
line diff
--- a/src/sat.sh	Wed Sep 03 11:46:06 2014 +0200
+++ b/src/sat.sh	Wed Sep 03 11:46:09 2014 +0200
@@ -53,6 +53,8 @@
 APP_NAME="$APP_NAME"
 PID_FILE="$PID_DIR$APP_NAME_FILE.pid"
 LOG_FILE="$LOG_DIR$APP_NAME_FILE.log"
+RUNNING_MSG="$APP_NAME is running"
+NOT_RUNNING_MSG="$APP_NAME is *NOT* running"
 
 # if there is one argument which is "stop", then we kill SàT
 if [ $# -eq 1 ];then
@@ -65,6 +67,24 @@
     elif [ $1 = "fg" ];then
         echo "Launching $APP_NAME in foreground mode"
         DAEMON="n"
+    elif [ $1 = "status" ];then
+		if [ -f $PID_FILE ]; then
+			PID=`cat $PID_FILE`
+			ps -p$PID 2>&1 > /dev/null
+			if [ $? = 0  ];then
+				echo "$RUNNING_MSG (pid: $PID)"
+				exit 0
+			else
+				echo "$NOT_RUNNING_MSG, but a pid file is present (bad exit ?): $PID_FILE"
+				exit 2
+			fi
+		else
+			echo "$NOT_RUNNING_MSG"
+			exit 1
+		fi
+	else
+		echo "bad argument, please use one of (stop, debug, fg, status) or no argument"
+		exit 1
     fi
 fi